Bug 521515 - initrd does not rescan block devices when LVM initialization fails
Summary: initrd does not rescan block devices when LVM initialization fails
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: mkinitrd
Version: 5.4
Hardware: All
OS: Linux
low
medium
Target Milestone: rc
: ---
Assignee: Brian Lane
QA Contact: Release Test Team
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-06 16:36 UTC by Rik van Riel
Modified: 2013-01-09 11:28 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-02-23 21:46:48 UTC


Attachments (Terms of Use)

Description Rik van Riel 2009-09-06 16:36:31 UTC
Description of problem:

By default our initrd does not rescan the block devices for LVM metadata, even when the LVM initialization fails.

I can see why this is done, however this behaviour breaks Xen to KVM migration, as well as emulated IDE to virtio migration.  When either of these migrations is done, the system disk will change from hda or xvda to sda, resulting in the initrd not finding the root device.

Version-Release number of selected component (if applicable):

mkinitrd-5.1.19.6-54

Steps to Reproduce:
1. migrate a virtual machine from Xen PV or emulated IDE to KVM w/ Virtio
2. generate an initrd with the correct drivers
3. watch the virtual machine fail to boot
  
Additional info:

I got it to work by adding a line "forcelvm=1" near the top of my /sbin/mkinitrd.

Comment 1 Peter Jones 2011-01-24 16:51:50 UTC
Can you show a log of the failure?  Why is lvm scanning failing, and why would simply scanning again help?


Note You need to log in before you can comment on or make changes to this bug.